Bug Hunting Session
Bug 67049 - Why can I not open csv file as comma delimited?
Summary: Why can I not open csv file as comma delimited?
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-18 14:59 UTC by lmmd78
Modified: 2013-07-20 13:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Comma separator comparison opening csv file (83.73 KB, image/jpeg)
2013-07-18 14:59 UTC, lmmd78
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lmmd78 2013-07-18 14:59:32 UTC
Created attachment 82610 [details]
Comma separator comparison opening csv file

In the previous version, when I wanted to open a csv file, I was able to select Comma as the separator and it would show the fields in the lower portion of that dialogue box. Since I upgraded to 4.0.4, the fields are merged into 1, with an arrow (->) inserted between the fields. When the file is opened, all fields are in 1 column.

The attachment shows how the dialogue box looks when Comma is selected (2 files). Each file has 2 fields. The file showing 2 fields correctly was created with the previous version of LO. The file showing the merged 2 fields was created with the latest version.

Is this a bug?
Comment 1 Eike Rathke 2013-07-18 16:23:01 UTC
If -> is displayed between fields it means that in your .csv file fields are actually separated with tabs instead of commas. Select Tab from the Separator options.
Comment 2 lmmd78 2013-07-18 16:33:58 UTC
I need the file to be comma delimited as it is imported into another application and can only be done so as a comma delimited file.

This was never a problem with the previous version as I had done it numerous times.

How can I change it from tab to comma?
Comment 3 grofaty 2013-07-19 16:02:34 UTC
If you have a tab delimited file and would like to have a comma delimited file you can do this like:
1. Open tab delimited file (mark Tab at import).
2. Save file in ODF.
3. Save file to CSV format and dialog will pop-up to ask about delimiter.

You can also convert tabs to commas with some other program e.g. text editor using Find/Replace. You can also do this with Writer e.g. Edit | Find & Replace. In Search for you type in: \t in Replace with type in: ,  and click on More Options and check the "Regular expressions".

P.S. I suggest to discuss more options in forums like http://ask.libreoffice.org
Comment 4 lmmd78 2013-07-20 10:22:21 UTC
Thank you for that solution... it gives me what I need. I originally went to http://ask.libreoffice.org where it was suggested that I report the issue as a bug. The differences in the 2 screenshots is still not explained and was the reason that a bug was suspected.

Thanks again for providing a solution.